#ifndef EDITORWINDOW_H
#define EDITORWINDOW_H

#include <QMainWindow>
#include "syntaxhighlighter.h"

namespace Ui
{
    class BrainyWindow;
}

class BrainyWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit BrainyWindow(QWidget *parent = 0);
    ~BrainyWindow();

    bool changedAnything;
    QFile* openedFile;
    void openFile();
    void saveFile();
    bool changesToSave() const;

private:
    Ui::BrainyWindow* ui;
    SyntaxHighlighter* sh;
};

#endif // EDITORWINDOW_H
